document.addEventListener('DOMContentLoaded', function() {
        // Inicializar el carrusel con opciones personalizadas
        const carousel = new bootstrap.Carousel(document.getElementById('carouselExampleIndicators'), {
            interval: 10000, // Tiempo entre slides en milisegundos (2 segundos)
            wrap: true, // Permite que el carrusel continúe infinitamente
            touch: true // Permite el control táctil
        });

        // Función para avanzar manualmente
        function nextSlide() {
            carousel.next();
        }

        // Función para retroceder manualmente
        function prevSlide() {
            carousel.prev();
        }

        // Agregar eventos a los botones de control
        document.querySelector('.carousel-control-next').addEventListener('click', nextSlide);
        document.querySelector('.carousel-control-prev').addEventListener('click', prevSlide);

        // Pausar el carrusel al pasar el mouse
        document.querySelector('#carouselExampleIndicators').addEventListener('mouseenter', function() {
            carousel.pause();
        });

        // Reanudar el carrusel al quitar el mouse
        document.querySelector('#carouselExampleIndicators').addEventListener('mouseleave', function() {
            carousel.cycle();
        });
    });